ooo-build r11465 - in trunk: . bin



Author: pmladek
Date: Wed Jan 30 14:37:06 2008
New Revision: 11465
URL: http://svn.gnome.org/viewvc/ooo-build?rev=11465&view=rev

Log:
2008-01-30  Petr Mladek  <pmladek suse cz>

	* bin/build-galleries: use gengal -headless; bin obsolete Xvfb stuff



Modified:
   trunk/ChangeLog
   trunk/bin/build-galleries

Modified: trunk/bin/build-galleries
==============================================================================
--- trunk/bin/build-galleries	(original)
+++ trunk/bin/build-galleries	Wed Jan 30 14:37:06 2008
@@ -32,25 +32,6 @@
     exit 0
 fi
 
-XVFB=`which Xvfb 2>/dev/null`
-if ! test -x "$XVFB"; then
-	# Fall back to some default locations if which didn't work
-	XVFB=/usr/X11R6/bin/Xvfb
-	if ! test -x "$XVFB"; then
-		XVFB=/usr/bin/Xvfb
-	fi
-fi
-if ! test -x "$XVFB" ; then
-    if test "$BUILD_OOO_GAL_FROM_OPENCLIPART" = "yes" ; then
-	echo "Error: $XVFB not found" >&2
-	exit 1
-    else
-	echo "Warning: $XVFB not found,"
-	echo "         skipping the optional gallery stuff..."
-	exit 0;
-    fi
-fi
-
 if test "z$OPENCLIPART_DIR" = "z" ; then
     # where to install the generated bitmaps
     OPENCLIPART_DIR=$OODESTDIR/usr/share/openclipart
@@ -123,34 +104,6 @@
 
 fi
 
-XDISPLAY=98
-echo "Starting Xvfb..."
-# try only 10-times to avoid infinite loop
-while test "$XDISPLAY" != "108" ; do 
-	if [ ! -f /tmp/.X$XDISPLAY-lock ]; then
-		echo "    trying display :$XDISPLAY ..."
-		sleep 2s
-		$XVFB -ac :$XDISPLAY &
-		trap "kill $! > /dev/null 2>&1 || true" EXIT
-		# let server to start
-		sleep 10s 
-		if [ -f /tmp/.X$XDISPLAY-lock ]; then
-			break;
-		fi
-	fi
-	XDISPLAY=$(($XDISPLAY+1))
-done
-
-if ! test -f /tmp/.X$XDISPLAY-lock ; then
-    echo "Error: Unable to start Xvfb" >&2
-    exit 1
-fi
-
-export DISPLAY=":$XDISPLAY"
-echo "Using DISPLAY="$DISPLAY
-echo "Xvfb processes:"
-ps -ef | grep -i Xvfb
-
 # clean a previous gallery installation in DESTDIR
 if test "z$OODESTDIR" != "z" ; then
     gal_idx=$GAL_NUMBER_FROM
@@ -181,7 +134,7 @@
 
 	echo "Doing gallery $gal_name..."
 	# xargs is necessary because I 
-	find $dir -name "*.png" -print0 | LC_CTYPE=C sort -z | { xargs -0 $GAL_BIN --name "$gal_name" --path "$GAL_DIR" --destdir "$OODESTDIR" --number-from "$GAL_NUMBER_FROM" || exit 1; }
+	find $dir -name "*.png" -print0 | LC_CTYPE=C sort -z | { xargs -0 $GAL_BIN -headless --name "$gal_name" --path "$GAL_DIR" --destdir "$OODESTDIR" --number-from "$GAL_NUMBER_FROM" || exit 1; }
     done
 fi
 
@@ -213,7 +166,7 @@
     # make sure that the existing galleries can be modified
     chmod u+rw $GAL_DIR/sg*.???
     # LC_ALL=en_US.UTF-8 is necessary to make sure that the name "Backgrounds" is compared with the right localization
-    LC_ALL=en_US.UTF-8 $GAL_BIN --name "Backgrounds" --path "$GAL_DIR" --destdir "$OODESTDIR" "$GAL_DIR/www-back/Draft.jpg" || exit 1;
+    LC_ALL=en_US.UTF-8 $GAL_BIN -headless --name "Backgrounds" --path "$GAL_DIR" --destdir "$OODESTDIR" "$GAL_DIR/www-back/Draft.jpg" || exit 1;
 
     if test "z$OODESTDIR" != "z" ; then
 	echo "${GAL_DIR#$OODESTDIR}/www-back/Draft.jpg" >$BUILDDIR/novell-gallery-addon



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]